package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.ObjHazMwMapper;
import com.goldenwater.slaj.hazard.domain.ObjHazMw;
import com.goldenwater.slaj.hazard.service.IObjHazMwService;

/**
 * 危险源对象表MW版 服务层实现
 */
@Service
public class ObjHazMwServiceImpl implements IObjHazMwService {

    @Autowired
    private ObjHazMwMapper objHazMwMapper;

    /**
     * 查询危险源对象表MW版信息
     * @param guid 查询条件
     * @return 危险源对象表MW版信息
     */
    @Override
    public ObjHazMw selectObjHazMwByGuid(String guid) {
        return objHazMwMapper.selectObjHazMwByGuid(guid);
    }

    /**
     * 查询危险源对象表MW版列表
     * @param objHazMw 危险源对象表MW版查询条件
     * @return 危险源对象表MW版集合
     */
    @Override
    public List<ObjHazMw> selectObjHazMwList(ObjHazMw objHazMw) {
        return objHazMwMapper.selectObjHazMwList(objHazMw);
    }

    /**
     * 新增危险源对象表MW版
     * @param objHazMw 危险源对象表MW版信息
     * @return 影响行数
     */
    @Override
    public int insertObjHazMw(ObjHazMw objHazMw) {
        return objHazMwMapper.insertObjHazMw(objHazMw);
    }

    /**
     * 修改危险源对象表MW版
     * @param objHazMw 危险源对象表MW版信息
     * @return 影响行数
     */
    @Override
    public int updateObjHazMw(ObjHazMw objHazMw) {
        return objHazMwMapper.updateObjHazMw(objHazMw);
    }

    /**
     * 删除危险源对象表MW版
     * @param guid 危险源对象表MW版主键
     * @return 影响行数
     */
    @Override
    public int deleteObjHazMwByGuid(String guid) {
        return objHazMwMapper.deleteObjHazMwByGuid(guid);
    }

    /**
     * 批量删除危险源对象表MW版
     * @param guids 危险源对象表MW版主键数组
     * @return 影响行数
     */
    @Override
    public int deleteObjHazMwByGuids(String[] guids) {
        return objHazMwMapper.deleteObjHazMwByGuids(guids);
    }
}
